      SUBROUTINE HLERRM (LRERR)
C
C***********************************************************************
C*                                                                     *
C*  - PURPOSE :                                                        *
C*    HLERRM prints error messages                                     *
C*                                                                     *
C*  - ARGUMENT :                                                       *
C*    LRERR (sii) : error code                                         *
C*                                                                     *
C*  - SUBPROGRAM :                                                     *
C*    SIBTST                                                           *
C*                                                                     *
C***********************************************************************
C
C==== arguments ========================================================
C
      INTEGER   LRERR
C
C==== local variables ==================================================
C
      CHARACTER MSG(7)*52
      INTEGER   IBIT
C
C==== subprogram =======================================================
C
      LOGICAL   SIBTST
C
C**** executable statements ********************************************
C
      MSG( 1) = 'code 2^01: invalid specification of LFLAG           '
      MSG( 2) = 'code 2^02: invalid specification of LPSET(1), N     '
      MSG( 3) = 'code 2^03: invalid specification of LPSET(2), NREIG '
      MSG( 4) = 'code 2^04: invalid specification of LPSET(3), NSTEPS'
      MSG( 5) = 'code 2^05: invalid specification of LPSET(4), LPRNT '
      MSG( 6) = 'code 2^06: invalid specification of LPSET(5), LN    '
      MSG( 7) = 'code 2^07: reduced eigenproblem could not be solved '
C
      WRITE (*,'(/A)') '* error messages *'
C
      DO 010 IBIT = 1,30
         IF ( SIBTST(IBIT,LRERR) ) WRITE (*,*) MSG(IBIT)
  010 CONTINUE
C
      RETURN
C
C**** end of HLERRM ****************************************************
C
      END
