      SUBROUTINE HLTAIL (JL,LFLAG,LRERR,LWARN,NCEIG,NRORT)
C
C***********************************************************************
C*                                                                     *
C*  - PURPOSE :                                                        *
C*    HLTAIL prints Hermitian-Lanczos statistics                       *
C*                                                                     *
C*  - ARGUMENTS :                                                      *
C*    JL    (sii) : number of steps                                    *
C*    LFLAG (sii) : flag for the Hermitian-Lanczos algorithm           *
C*    LRERR (sii) : error code                                         *
C*    LWARN (sii) : warning code                                       *
C*    NCEIG (sii) : number of solutions converged                      *
C*    NRORT (sii) : number of reorthogonalizations                     *
C*                                                                     *
C***********************************************************************
C
C==== arguments ========================================================
C
      INTEGER JL,LFLAG,LRERR,LWARN,NCEIG,NRORT
C
C**** executable statements ********************************************
C
      WRITE (*,2500) JL,NRORT,NCEIG,LWARN,LRERR,LFLAG
C
 2500 FORMAT (/'* exit parameters *',
     &        /'number of steps performed    :',i05,
     &        /'reorthogonalizations         :',i05,
     &        /'solutions converged          :',i05,
     &        /'warning code                 :',i05,
     &        /'error code                   :',i05,
     &        /'exit flag                    :',i05)
C
      RETURN
C
C**** end of HLTAIL ****************************************************
C
      END
