      DOUBLE PRECISION FUNCTION SIRAND (SEED)
C
C***********************************************************************
C*                                                                     *
C*  - PURPOSE :                                                        *
C*    SIRAND is an interface for a random number generator             *
C*                                                                     *
C*  - ARGUMENTS :                                                      *
C*    SEED (sii) : flag for the random-number generator                *
C*                 - if not zero, it is used as a new seed             *
C*                 - if zero, a random number is returned              *
C*                                                                     *
C*  - INTRINSIC FUNCTION :                                             *
C*    DRAND                                                            *
C*                                                                     *
C***********************************************************************
C
C==== arguments ========================================================
C
      INTEGER          SEED
C
C==== intrinsic function ===============================================
C 
      INTRINSIC DBLE
C
C==== external function ================================================
C 
      REAL      RAND
C
C**** executable statements ********************************************
C
C.... g77 interface ....................................................
C
      SIRAND = DBLE(RAND(SEED))
C
      RETURN
C
C**** end of SIRAND ****************************************************
C
      END
