      SUBROUTINE HLWARN (LWARN)
C
C***********************************************************************
C*                                                                     *
C*  - PURPOSE :                                                        *
C*    HLWARN prints warning messages                                   *
C*                                                                     *
C*  - ARGUMENT :                                                       *
C*    LWARN (sii) : warning code                                       *
C*                                                                     *
C*  - SUBPROGRAM :                                                     *
C*    SIBTST                                                           *
C*                                                                     *
C***********************************************************************
C
C==== arguments ========================================================
C
      INTEGER   LWARN
C
C==== local variables ==================================================
C
      CHARACTER MSG(5)*52
      INTEGER   IBIT
C
C==== subprogram =======================================================
C
      LOGICAL   SIBTST
C
C**** executable statements ********************************************
C
      MSG( 1) = 'code 2^01: nothing to be done (N=1)                 '
      MSG( 2) = 'code 2^02: invariant subspace found at j-th step    '
      MSG( 3) = 'code 2^03: no solution converged with NSTEPS        '
      MSG( 4) = 'code 2^04: eigenvectors can not be computed         '
      MSG( 5) = 'code 2^05: not enough solutions with NSTEPS         '
C
      WRITE (*,'(/A)') '* warning messages *'
C
      DO 010 IBIT = 1,30
         IF ( SIBTST(IBIT,LWARN) ) WRITE (*,*) MSG(IBIT)
  010 CONTINUE
C
      RETURN
C
C**** end of HLWARN ****************************************************
C
      END
