      SUBROUTINE IDENTY (N,A)
C
C***********************************************************************
C*                                                                     *
C*  - PURPOSE :                                                        *
C*    IDENTY initializes (A) as an identity matrix                     *
C*                                                                     *
C*  - ARGUMENTS :                                                      *
C*    N (sii) : dimension of the matrix                                *
C*    A (aro) : identity matrix                                        *
C*                                                                     *
C***********************************************************************
C
C==== arguments ========================================================
C
      INTEGER          N
      DOUBLE PRECISION A(N,N)
C
C==== local variables ==================================================
C
      INTEGER          I,J
C
C**** executable statements ********************************************
C
      DO 010 I = 1,N
	 DO 020 J = 1,N
	    A(I,J) = 0.0D0
  020    CONTINUE
         A(I,I) = 1.0D0
  010 CONTINUE
C
      RETURN
C
C**** end of IDENTY ****************************************************
C
      END
